## org.eclipse.amp.amf.parameters.parseTreeConstruction
Class AParParsetreeConstructor.ThisRootNode

    java.lang.Object
      org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.AbstractToken
          org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.RootToken
              org.eclipse.amp.amf.parameters.parseTreeConstruction.AParParsetreeConstructor.ThisRootNode

Enclosing class:
  AParParsetreeConstructor

    protected class AParParsetreeConstructor.ThisRootNode

extends org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.RootToken

Field Summary

Fields inherited from class org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.AbstractToken
`eObjectConsumer, lastRuleCallOrigin, next, node, tokensForSemanticChildren, transitionIndex`

Constructor Summary
`AParParsetreeConstructor.ThisRootNode(org.eclipse.xtext.parsetree.reconstr.IEObjectConsumer inst)`

Method Summary
`org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.AbstractToken` `createFollower(int index, org.eclipse.xtext.parsetree.reconstr.IEObjectConsumer inst)`

Methods inherited from class org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.RootToken
`containsRuleCall, createFollowerAfterReturn, getGrammarElement`

Methods inherited from class org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.AbstractToken
`checkForRecursion, dumpTokens, equalsOrReplacesNode, getEObject, getEObjectConsumer, getLastRuleCallOrigin, getNext, getNode, getTokensForSemanticChildren, getTransitionIndex, serialize, serializeInternal, setNode, tryConsume`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AParParsetreeConstructor.ThisRootNode

    public AParParsetreeConstructor.ThisRootNode(org.eclipse.xtext.parsetree.reconstr.IEObjectConsumer inst)

Method Detail

### createFollower

    public org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.AbstractToken createFollower(int index,
                                                                                                               org.eclipse.xtext.parsetree.reconstr.IEObjectConsumer inst)

  Overrides:
    `createFollower` in class `org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.AbstractToken`